Subject: Re: linux-next: build failure after merge of the char-misc tree

From: Greg KH <[email-masked]>
Date: Wed, 26 Feb 2014 19:37:16 -0800

On Wed, Feb 26, 2014 at 05:47:21PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Fri, 21 Feb 2014 16:47:11 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the char-misc tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > In file included from drivers/misc/mei/hw-txe.c:25:0:
> > drivers/misc/mei/hw-txe.h:63:1: error: unknown type name 'irqreturn_t'
> >  irqreturn_t mei_txe_irq_quick_handler(int irq, void *dev_id);
> >  ^
> > 
> > Caused by commit 266f6178d1f1 ("mei: txe: add hw-txe.h header file") but
> > probably exposed by commit 46cb7b1bd86f ("PCI: Remove unused SR-IOV VF
> > Migration support") from the pci tree which removed the include of
> > irqreturn.h from pci.h ...
> > 
> > See Rule 1 from Documentation/SubmitChecklist ...
> > 
> > I added the following merge fix patch (this should be applied to the
> > char-misc tree):
> 
> Ping?

I've merged everything together, and it all builds properly for me in
the char-misc branches, so I don't see what is missing.  What did I do
wrong?

confused,

greg k-h